## **1.1.1 - Bug fixes**
- ```⚠️``` Fixed a bug where every player in a lobby would affect each other's blink meter, resulting in much frequent blinking (that wasn't a feature).
- ```⚠️``` Another fix to the 'perma-blink on death' case.

Note: Being MP only bugs, they took an unnecessarily long time to detect and fix since they cannot be reproduced in solo. If I missed something, there will be another patch coming soon™.
**Remember to report any bugs you find on the Discord ! That'll be greatly appreciated !**
## **1.1.0 - Manual blink changes, new optional features, config changes and [InsanityRemastered](https://thunderstore.io/c/lethal-company/p/BudgetAirpods/InsanityRemastered/) <i>compatibility</i>**
### Mod changes.
- ```🧪``` <b>This version uses C# 11 which corresponds to .NET 7, if something breaks, do let me know, I'll revert to more *common* .NET version.</b>
- ```🔴``` Manually blinking (**C**) no longer adds a delay to your next blink, instead it sets your next blink interval to a fixed *(non random)* **14 seconds** (default).
  - Still affected by insanity and can go down to **3,5 seconds** (default).
  - You can edit both of them. Using **-1** on **any** of them will use the default rng method on **both** instead (like a natural blink), disabling this feature.
- ```🔥``` Keeping your eyes shut by manually blinking (**C**) now decreases your insanity level, which in turn makes blinking less frequent.
  - Decreases insanity by **2** each second (default).
  - Insanity goes from 0 (not insane) to 50 (max), so a value of 2 when fully insane requires you to keep your eyes shut for at least 25 seconds.
  - Using 0 (or below) disables the insanity decreasing effect.
- ```🔥``` Should now be *compatible* with [InsanityRemastered](https://thunderstore.io/c/lethal-company/p/BudgetAirpods/InsanityRemastered/) ≥1.0.8.
  - When using DB and IR together, the blink insanity scaling will be based on IR instead of the base game (so the max insanity goes from 50 to 200).
  - Thanks to [BudgetAirpods](https://thunderstore.io/c/lethal-company/p/BudgetAirpods/) for making it possible.
- ```🧪``` Added a new **optional** feature: **Blink meter drains when inside the gas/steam leak.** *Disabled by default.*
  - User requested feature to replicate SCP:CB even more.
  - It is disabled by default 'cause I feel like having a mask should protect the user and some may find it weird (?), but feel free to enable it.
- ```🧪``` Added a new **optional** feature: **Natural blink is only active when you see a Coil-Head.** *Disabled by default.*
  - User requested feature to replicate SCP:CB (unity).
  - You can adjust how long the natural blink feature will last after seeing a Coil. *5 seconds by default.*
  - This only affects natural blinking, manual and other sources of forced blinks are ignored.
- ```🧪``` Added a new **optional** feature: **Blink on 'fear events'.** *Disabled by default.*
  - Whenever you'd gain a sudden surge of fear based on certain events, you will blink.
    - Some of these events are : Thumper's screech, seeing the Bracken, being too close to a creature, getting hit, seeing a body, etc.
  - There are 3 states to this feature:
    - **0 = Disabled (default).**
	- 1 = Randomly blink based on the 'fear event' potency. Stronger fear = higher chances of blinking.
	- 2 = Always blink when scared (not recommended).
  - There is an internal cooldown of **1s** (default). I strongly recommend to NOT go below 0,5s.
  - This feature *should* be compatible with InsanityRemastered. Do note it is **NOT** hooked to IR's hallucinations events etc.
- ```⚠️``` ~~*Hypothetical* fix to a case where blinking/keeping your eyes shut when dying would make your spectating screen indefinitely dark (until respawn). Hypothetical as this only ever happened (to me) on this version, BUT it may have of happened before.~~
### Config changes.
- ```🔴``` Slightly increased both blink interval and duration (calm & insane): (annotated as ```min | max```)
  - **Blink interval**:
    - *Calm*: ```4s | 20s``` → ```5s | 23s``` <sup><sub>(average duration is now closer to SCP:CB's: ~14s.)</sup></sub>
    - *Insane*: ```0,6s | 6s``` → ```1,5s | 7s```
  - **Blink duration**:
    - *Calm*: ```100ms | 300ms``` → ```250ms | 350ms``` <sup><sub>(average duration is now closer to SCP:CB's: ~300ms.)</sup></sub>
    - *Insane*: ```67ms | 200ms``` → ```220ms | 280ms```
  - <ins>**NOTE**</ins>: to receive all of the above changes, you will need to either delete the .cfg file or edit them manually. Leave it be if you want to keep old values.
- ```🔥``` You can now edit both fade-in and fade-out ratio of a blink duration: from eyes open <ins>to eyes closed</ins> (in), <ins>to eyes open</ins> (out).
  - Also changed their default values from ```66,7% | 33,3%``` to ```40% | 60%``` (annotated as ```in | out```).
- ```🔥``` You can now show/hide the meter. **Shown by default.**
- ```🔥``` The meter is now a child of the player's infos HUD element (stamina, HP, etc.) and follow their rules (such as fading when using the terminal).
  - You can revert to the old method if you don't like the new one or if it's simply misaligned (might be the case for >1080p displays).
### Thunderstore update
- **If this version is broken, you can always revert to 1.0.3 while I try to fix any bug that went through.**
- Added installation instructions.
- Updated README&#46;md.
- Added ```🔴```, ```🔥```, ```⚠️```️ and ```🧪``` emojis to CHANGELOG&#46;md, each represent the following (in order): a change, something new, a fix and optional/experimental feature. If they feel like too much, I'll remove them.

## **1.0.3 - A <i>real</i> update**
- ```🔴``` Modified the manual blink shortcut from **G** to **C**. I'm dumb, **G** is bound to 'drop item', but using a different keyboard layout made me forget. I hope nothing else uses **C**...
- ```⚠️``` You can no longer manually blink (using **C**) while : using the terminal, typing or being in the menu.
- ```⚠️``` You should no longer blink while spectating. This is a *potential* fix, as my testing field is pretty limited here.

Remember, if something's broken, you can always use older versions while I fix stuff for future updates, as the mod's features *should* be working perfectly.
### Thunderstore update
- Added the [Unofficial Lethal Company Community](https://discord.gg/nYcQFEpXfU) discord link in the ```README.md```.
- Also, thanks to everyone (+1k) for trying out this mod, and sorry for the stupid binding choice !

## **1.0.1-.2 - Thunderstore updates**
- Added a gif showcasing the blink meter. I should've done it on release.
- Added a thumbnail. I also forgot to do that.

<sup><sub>The mod itself didn't receive any update until .3</sub></sup>
## **1.0.0 - INITIAL RELEASE**
- Released on Thunderstore.io !